<?php

class ControllerExtensionModuleCart2cartActivity extends Controller
{
  public function loginBefore(&$route, &$args)
  {
    if (isset($this->request->get['route']) && ($this->request->get['route'] == 'account/login') && isset($this->request->post['email'])) {
      $this->load->model('account/customer');
      $customerInfo = $this->model_account_customer->getCustomerByEmail($this->request->post['email']);

      if ($customerInfo && $customerInfo['status']) {
        $this->load->model('extension/module/cart2cart/customer');
        $this->load->model('extension/module/cart2cart/passwordHash');
        $this->load->model('extension/module/cart2cart/zcHasher');

        if ($this->model_extension_module_cart2cart_customer->setCustomerInfo($customerInfo)->login($this->request->post['email'], $this->request->post['password'])) {
          $this->customer->login($this->request->post['email'], $this->request->post['password'], true);
          $this->response->redirect($this->url->link('account/account', '', true));
        }
      }
    }
  }

  public function checkoutLoginBefore(&$route, &$args)
  {
    if (isset($this->request->get['route']) && ($this->request->get['route'] == 'checkout/login/save') && isset($this->request->post['email'])) {

      $this->load->model('account/customer');

      $customerInfo = $this->model_account_customer->getCustomerByEmail($this->request->post['email']);
      if ($customerInfo && $customerInfo['status']) {
        $this->load->model('extension/module/cart2cart/customer');
        $this->load->model('extension/module/cart2cart/passwordHash');
        $this->load->model('extension/module/cart2cart/zcHasher');

        if ($this->model_extension_module_cart2cart_customer->setCustomerInfo($customerInfo)->login($this->request->post['email'], $this->request->post['password'])) {
          $this->customer->login($this->request->post['email'], $this->request->post['password'], true);
        }
      }
    }
  }
}